DCMTK: CID218_QuantitativeImageFeature Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Static Private Attributes | List of all members
CID218_QuantitativeImageFeature Class Reference

Implementation of DCMR Context Group: CID 218 - Quantitative Image Feature. More...

Inheritance diagram for CID218_QuantitativeImageFeature:

## Public Types
enum | EnumType { IntensityHistogramMean , IntensityHistogramVariance , IntensityHistogramSkewness , IntensityHistogramKurtosis , IntensityHistogramMedian , IntensityHistogramMinimumGrayLevel , IntensityHistogram10thPercentile , IntensityHistogram90thPercentile , IntensityHistogramMaximumGrayLevel , IntensityHistogramMode , IntensityHistogramInterquartileRange , IntensityHistogramRange , IntensityHistogramMeanAbsoluteDeviation , IntensityHistogramRobustMeanAbsoluteDeviation , IntensityHistogramMedianAbsoluteDeviation , IntensityHistogramCoefficientOfVariation , IntensityHistogramQuartileCoefficientOfDispersion , IntensityHistogramEntropy , IntensityHistogramUniformity , IntensityHistogramMaximumGradient , IntensityHistogramMaximumGradientGrayLevel , IntensityHistogramMinimumGradient , IntensityHistogramMinimumGradientGrayLevel , JointEntropyOfGLCM , RootAngularSecondMomentOfGLCM , InverseDifferenceMomentOfGLCM , ContrastOfGLCM , DissimilarityOfGLCM , AngularSecondMomentOfGLCM , CorrelationOfGLCM , JointMaximumOfGLCM , JointAverageOfGLCM , JointVarianceOfGLCM , DifferenceAverageOfGLCM , DifferenceVarianceOfGLCM , DifferenceEntropyOfGLCM , SumAverageOfGLCM , SumVarianceOfGLCM , SumEntropyOfGLCM , InverseDifferenceOfGLCM , NormalizedInverseDifferenceOfGLCM , NormalizedInverseDifferenceMomentOfGLCM , InverseVarianceOfGLCM , AutocorrelationOfGLCM , ClusterTendencyOfGLCM , ClusterShadeOfGLCM , ClusterProminenceOfGLCM , FirstMeasureOfInformationCorrelationOfGLCM , SecondMeasureOfInformationCorrelationOfGLCM , ShortRunsEmphasis , LongRunsEmphasis , LowGrayLevelRunEmphasis , HighGrayLevelRunEmphasis , ShortRunLowGrayLevelEmphasis , ShortRunHighGrayLevelEmphasis , LongRunLowGrayLevelEmphasis , LongRunHighGrayLevelEmphasis , GrayLevelNonuniformityInRuns , NormalizedGrayLevelNonuniformityInRuns , RunLengthNonuniformity , NormalizedRunLengthNonuniformity , RunPercentage , GrayLevelVarianceInRuns , RunLengthVariance , RunEntropy , SmallZoneEmphasis , LargeZoneEmphasis , LowGrayLevelZoneEmphasis , HighGrayLevelZoneEmphasis , SmallZoneLowGrayLevelEmphasis , SmallZoneHighGrayLevelEmphasis , LargeZoneLowGrayLevelEmphasis , LargeZoneHighGrayLevelEmphasis , GrayLevelNonuniformityOfSizeZoneCounts , NormalizedGrayLevelNonuniformityOfSizeZoneCounts , ZoneSizeNonuniformity , NormalizedZoneSizeNonuniformity , SizeZonePercentage , GrayLevelVarianceInSizeZones , ZoneSizeVariance , ZoneSizeEntropy , SmallDistanceEmphasis , LargeDistanceEmphasis , LowGreyLevelZoneEmphasis , HighGreyLevelZoneEmphasis , SmallDistanceLowGreyLevelEmphasis , SmallDistanceHighGreyLevelEmphasis , LargeDistanceLowGreyLevelEmphasis , LargeDistanceHighGreyLevelEmphasis , GreyLevelNonUniformityOfDistanceZoneCounts , NormalizedGreyLevelNonUniformityOfDistanceZoneCounts , ZoneDistanceNonUniformity , NormalizedZoneDistanceNonUniformity , DistanceZonePercentage , GreyLevelVarianceInDistanceZones , ZoneDistanceVariance , ZoneDistanceEntropy , CoarsenessOfNGTDM , ContrastOfNGTDM , BusynessOfNGTDM , ComplexityOfNGTDM , StrengthOfNGTDM , LowDependenceEmphasis , HighDependenceEmphasis , LowGreyLevelCountEmphasis , HighGreyLevelCountEmphasis , LowDependenceLowGreyLevelEmphasis , LowDependenceHighGreyLevelEmphasis , HighDependenceLowGreyLevelEmphasis , HighDependenceHighGreyLevelEmphasis , GreyLevelNonUniformityOfNGLDM , NormalizedGreyLevelNonUniformityOfNGLDM , DependenceCountNonUniformity , DependenceCountNonUniformityNormalized , DependenceCountPercentage , GreyLevelVarianceOfNGLDM , DependenceCountVariance , DependenceCountEntropy , DependenceCountEnergy , FractalDimension , NAcetylaspartate , Citrate , Choline , Creatine , CreatineAndCholine , Lactate , Lipid , LipidAndLactate , GlutamateAndGlutamine , Glutamine , Tuarine , Inositol , CholinePerCreatineRatio , NAcetylaspartatePerCreatineRatio , NAcetylaspartatePerCholineRatio , CreatinePlusCholinePerCitrateRatio , T1 , T2 , T2Star , ProtonDensity , SpinTaggingPerfusionMRSignalIntensity , VelocityEncoded , TemperatureEncoded , ContrastAgentAngioMRSignalIntensity , TimeOfFlightAngioMRSignalIntensity , ProtonDensityWeightedMRSignalIntensity , T1WeightedMRSignalIntensity , T2WeightedMRSignalIntensity , T2StarWeightedMRSignalIntensity , DiffusionWeighted , VolumetricDiffusionDxxComponent , VolumetricDiffusionDxyComponent , VolumetricDiffusionDxzComponent , VolumetricDiffusionDyyComponent , VolumetricDiffusionDyzComponent , VolumetricDiffusionDzzComponent , FractionalAnisotropy , RelativeAnisotropy , VolumeRatio , ApparentDiffusionCoefficient , DiffusionCoefficient , MonoExponentialApparentDiffusionCoefficient , SlowDiffusionCoefficient , FastDiffusionCoefficient , FastDiffusionCoefficientFraction , KurtosisDiffusionCoefficient , GammaDistributionScaleParameter , GammaDistributionShapeParameter , GammaDistributionMode , DistributedDiffusionCoefficient , AnomalousExponentParameter , FieldMapMRSignalIntensity , T1WeightedDynamicContrastEnhancedMRSignalIntensity , T2WeightedDynamicContrastEnhancedMRSignalIntensity , T2StarWeightedDynamicContrastEnhancedMRSignalIntensity , BloodOxygenationLevel , NuclearMedicineProjectionActivity , NuclearMedicineTomographicActivity , SpatialDisplacementXComponent , SpatialDisplacementYComponent , SpatialDisplacementZComponent , HemodynamicResistance , IndexedHemodynamicResistance , AttenuationCoefficient , TissueVelocity , FlowVelocity , PowerDoppler , FlowVariance , Elasticity , Perfusion , SpeedOfSound , UltrasoundAttenuation , StudentsTTest , ZScore , RCoefficient , R2Coefficient , ChiSquare , DW , AIC , BIC , RGBRComponent , RGBGComponent , RGBBComponent , YBR_FULLYComponent , YBR_FULL_CBComponent , YBR_FULL_CRComponent , YBR_PARTIALYComponent , YBR_PARTIAL_CBComponent , YBR_PARTIAL_CRComponent , YBR_ICTYComponent , YBR_ICT_CBComponent , YBR_ICT_CRComponent , YBR_RCTYComponent , YBR_RCT_CBComponent , YBR_RCT_CRComponent , Echogenicity , XRayAttenuation , MRSignalIntensity , BinarySegmentation , FractionalProbabilisticSegmentation , FractionalOccupancySegmentation , R1 , R2 , R2Star , MagnetizationTransferRatio , MagneticSusceptibility , Ktrans , Kep , Ve , Tau_m , Vp , AbsoluteRegionalBloodFlow , AbsoluteRegionalBloodVolume , RelativeRegionalBloodFlow , RelativeRegionalBloodVolume , MeanTransitTime , TimeToPeak , OxygenExtractionFraction , Tmax , IAUC , IAUC60 , IAUC90 , IAUC180 , IAUCBN , IAUC60BN , IAUC90BN , IAUC180BN , TimeOfPeakConcentration , TimeOfLeadingHalfPeakConcentration , BolusArrivalTime , TemporalDerivativeThreshold , MaximumSlope , MaximumDifference , TracerConcentration , StandardizedUptakeValue , SUVbw , SUVlbm , SUVlbmJames128 , SUVlbmJanma , SUVbsa , SUVibw , AbsorbedDose , EquivalentDose , Fat , FatFraction , WaterPerFatInPhase , WaterPerFatOutOfPhase , NegativeEnhancementIntegral , SignalChange , SignalToNoise , TimeCourseOfSignal , Water , WaterFraction , RelativeLinearStoppingPower , ClassActivation , GradientWeightedClassActivation , Saliency , Length , PathLength , Distance , Width , Depth , Diameter , LongAxis , ShortAxis , MajorAxis , MinorAxis , PerpendicularAxis , Radius , Perimeter , Circumference , DiameterOfCircumscribedCircle , Height , LineSegmentLength , Maximum3DDiameterOfAMesh , MajorAxisIn3DLength , MinorAxisIn3DLength , LeastAxisIn3DLength , Area , AreaOfDefinedRegion , SurfaceAreaOfMesh , Volume , VolumeEstimatedFromSingle2DRegion , VolumeEstimatedFromTwoNonCoplanar2DRegions , VolumeEstimatedFromThreeOrMoreNonCoplanar2DRegions , VolumeOfSphere , VolumeOfEllipsoid , VolumeOfCircumscribedSphere , VolumeOfBoundingThreeDimensionalRegion , VolumeOfMesh , VolumeFromVoxelSummation , NumberOfPixels , NumberOfVoxels , SurfaceToVolumeRatio , Compactness1 , Compactness2 , SphericalDisproportion , Sphericity , Asphericity , CentreOfMassShift , Elongation , Flatness , VolumeDensityInFrameOfReferenceAxisAlignedBoundingBox , AreaDensityInFrameOfReferenceAxisAlignedBoundingBox , VolumeDensityInOrientedMinimumBoundingBox , AreaDensityInOrientedMinimumBoundingBox , VolumeDensityInApproximateEnclosingEllipsoid , AreaDensityInApproximateEnclosingEllipsoid , VolumeDensityInMinimumVolumeEnclosingEllipsoid , AreaDensityInMinimumVolumeEnclosingEllipsoid , VolumeDensityInConvexHull , AreaDensityInConvexHull , IntegratedIntensity , MoransIIndex , GearysCMeasure , CobbAngle , AcetabularAngle }
| types of quantitative image feature More...

## Public Member Functions
| CID218_QuantitativeImageFeature (const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| (default) constructor
| CID218_QuantitativeImageFeature (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor
virtual OFCondition | selectValue (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its type as the current value
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| search for a given coded entry in this context group.
Public Member Functions inherited from DSRContextGroup
| operator const DSRCodedEntryValue & () const
| conversion operator that returns the currently selected coded entry value (might be empty if none is selected)
virtual void | clear ()
| clear list of extended coded entries and forget about the currently selected coded entry
OFBool | isExtensible () const
| check whether context group is extensible
void | setExtensible (const OFBool mode=OFTrue)
| change mode specifying whether the context group is extensible or non-extensible
const OFString & | getIdentifier () const
| get context identifier
const OFString & | getMappingResource () const
| get mapping resource
const OFString & | getKeyword () const
| get context group keyword
const OFString & | getVersion () const
| get context group version (optional)
const OFString & | getUID () const
| get context group UID (optional)
virtual OFBool | hasSelectedValue () const
| check whether a coded entry is selected as the current value
const DSRCodedEntryValue & | getSelectedValue () const
| get currently selected coded entry value (optional)
virtual OFBool | hasCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| check whether a given coded entry is contained in this context group.
virtual OFBool | hasExtendedCodedEntries () const
| check whether this context group has any extended coded entries.
virtual OFCondition | addCodedEntry (const DSRCodedEntryValue &codedEntryValue)
| add a coded entry to this context group as an extension, i.e. as a non-standard code.
virtual OFCondition | lookupCodedEntry (DSRCodedEntryValue &codedEntryValue, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group and, if found, replace its value with the one found in the context group.
virtual void | print (STD_NAMESPACE ostream &stream) const
| print contents of this context group, i.e. a general header, the currently selected coded entry value (if any) and all coded entries that are contained in this context group (both standard and extended ones).
virtual OFCondition | checkSelectedValue (const OFBool definedContextGroup=OFFalse) const
| check whether the currently selected coded entry is valid.

## Static Public Member Functions
static void | initialize ()
| initialize this context group explicitly.
static void | cleanup ()
| cleanup this context group, i.e. delete the internal list of standard coded entries.
static DSRCodedEntryValue | getCodedEntry (const EnumType value, const OFBool enhancedEncodingMode=OFFalse)
| map a given type to the associated coded entry

## Protected Types
typedef OFMap< EnumType, DSRBasicCodedEntry > | CodeList
| type used for storing and managing the coded entries

## Protected Member Functions
virtual void | printCodes (STD_NAMESPACE ostream &stream) const
| print details on coded entries that are contained in this context group.
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &searchForCodedEntry, DSRCodedEntryValue *foundCodedEntry, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group
Protected Member Functions inherited from DSRContextGroup
| DSRContextGroup (const OFString &contextIdentifier, const OFString &mappingResource, const OFString &contextGroupKeyword="", const OFString &contextGroupVersion="", const OFString &contextGroupUID="", const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| constructor
virtual | ~DSRContextGroup ()
| destructor
virtual void | printHeader (STD_NAMESPACE ostream &stream) const
| print header with some general information on this context group
virtual OFCondition | checkCodedEntry (const DSRCodedEntryValue &codedEntryValue, const OFBool definedContextGroup) const
| check whether a given coded entry is valid.

## Static Protected Member Functions
static CodeList & | getCodes ()
| get list of standard coded entries that are managed by this context group.
static OFCondition | setEnhancedEncodingMode (DSRCodedEntryValue &codedEntryValue)
| set the "Enhanced Encoding Mode" for a given coded entry

## Static Private Attributes
static CodeList * | Codes
| pointer to internal code list (use a static variable for singleton pattern)

## Detailed Description

Implementation of DCMR Context Group: CID 218 - Quantitative Image Feature.

(type: extensible, version: 20200920)

## Member Enumeration Documentation

## ◆ EnumType

enum CID218_QuantitativeImageFeature::EnumType

types of quantitative image feature

Enumerator
IntensityHistogramMean | (X6K6,IBSI,"Intensity Histogram Mean"), included from CID 7478
IntensityHistogramVariance | (CH89,IBSI,"Intensity Histogram Variance"), included from CID 7478
IntensityHistogramSkewness | (88K1,IBSI,"Intensity Histogram Skewness"), included from CID 7478
IntensityHistogramKurtosis | (C3I7,IBSI,"Intensity Histogram Kurtosis"), included from CID 7478
IntensityHistogramMedian | (WIFQ,IBSI,"Intensity Histogram Median"), included from CID 7478
IntensityHistogramMinimumGrayLevel | (1PR8,IBSI,"Intensity Histogram Minimum Gray Level"), included from CID 7478
IntensityHistogram10thPercentile | (GPMT,IBSI,"Intensity Histogram 10th Percentile"), included from CID 7478
IntensityHistogram90thPercentile | (OZ0C,IBSI,"Intensity Histogram 90th Percentile"), included from CID 7478
IntensityHistogramMaximumGrayLevel | (3NCY,IBSI,"Intensity Histogram Maximum Gray Level"), included from CID 7478
IntensityHistogramMode | (AMMC,IBSI,"Intensity Histogram Mode"), included from CID 7478
IntensityHistogramInterquartileRange | (WR0O,IBSI,"Intensity Histogram Interquartile Range"), included from CID 7478
IntensityHistogramRange | (5Z3W,IBSI,"Intensity Histogram Range"), included from CID 7478
IntensityHistogramMeanAbsoluteDeviation | (D2ZX,IBSI,"Intensity Histogram Mean Absolute Deviation"), included from CID 7478
IntensityHistogramRobustMeanAbsoluteDeviation | (WRZB,IBSI,"Intensity Histogram Robust Mean Absolute Deviation"), included from CID 7478
IntensityHistogramMedianAbsoluteDeviation | (4RNL,IBSI,"Intensity Histogram Median Absolute Deviation"), included from CID 7478
IntensityHistogramCoefficientOfVariation | (CWYJ,IBSI,"Intensity Histogram Coefficient of Variation"), included from CID 7478
IntensityHistogramQuartileCoefficientOfDispersion | (SLWD,IBSI,"Intensity Histogram Quartile Coefficient of Dispersion"), included from CID 7478
IntensityHistogramEntropy | (TLU2,IBSI,"Intensity Histogram Entropy"), included from CID 7478
IntensityHistogramUniformity | (BJ5W,IBSI,"Intensity Histogram Uniformity"), included from CID 7478
IntensityHistogramMaximumGradient | (12CE,IBSI,"Intensity Histogram Maximum Gradient"), included from CID 7478
IntensityHistogramMaximumGradientGrayLevel | (8E6O,IBSI,"Intensity Histogram Maximum Gradient Gray Level"), included from CID 7478
IntensityHistogramMinimumGradient | (VQB3,IBSI,"Intensity Histogram Minimum Gradient"), included from CID 7478
IntensityHistogramMinimumGradientGrayLevel | (RHQZ,IBSI,"Intensity Histogram Minimum Gradient Gray Level"), included from CID 7478
JointEntropyOfGLCM | (TU9B,IBSI,"Joint Entropy of GLCM"), included from CID 7467
RootAngularSecondMomentOfGLCM | (126061,DCM,"Root Angular Second Moment of GLCM"), included from CID 7467
InverseDifferenceMomentOfGLCM | (WF0Z,IBSI,"Inverse Difference Moment of GLCM"), included from CID 7467
ContrastOfGLCM | (ACUI,IBSI,"Contrast of GLCM"), included from CID 7467
DissimilarityOfGLCM | (8S9J,IBSI,"Dissimilarity of GLCM"), included from CID 7467
AngularSecondMomentOfGLCM | (8ZQL,IBSI,"Angular Second Moment of GLCM"), included from CID 7467
CorrelationOfGLCM | (NI2N,IBSI,"Correlation of GLCM"), included from CID 7467
JointMaximumOfGLCM | (GYBY,IBSI,"Joint Maximum of GLCM"), included from CID 7467
JointAverageOfGLCM | (60VM,IBSI,"Joint Average of GLCM"), included from CID 7467
JointVarianceOfGLCM | (UR99,IBSI,"Joint Variance of GLCM"), included from CID 7467
DifferenceAverageOfGLCM | (TF7R,IBSI,"Difference Average of GLCM"), included from CID 7467
DifferenceVarianceOfGLCM | (D3YU,IBSI,"Difference Variance of GLCM"), included from CID 7467
DifferenceEntropyOfGLCM | (NTRS,IBSI,"Difference Entropy of GLCM"), included from CID 7467
SumAverageOfGLCM | (ZGXS,IBSI,"Sum Average of GLCM"), included from CID 7467
SumVarianceOfGLCM | (OEEB,IBSI,"Sum Variance of GLCM"), included from CID 7467
SumEntropyOfGLCM | (P6QZ,IBSI,"Sum Entropy of GLCM"), included from CID 7467
InverseDifferenceOfGLCM | (IB1Z,IBSI,"Inverse Difference of GLCM"), included from CID 7467
NormalizedInverseDifferenceOfGLCM | (NDRX,IBSI,"Normalized Inverse Difference of GLCM"), included from CID 7467
NormalizedInverseDifferenceMomentOfGLCM | (1QCO,IBSI,"Normalized Inverse Difference Moment of GLCM"), included from CID 7467
InverseVarianceOfGLCM | (E8JP,IBSI,"Inverse Variance of GLCM"), included from CID 7467
AutocorrelationOfGLCM | (QWB0,IBSI,"Autocorrelation of GLCM"), included from CID 7467
ClusterTendencyOfGLCM | (DG8W,IBSI,"Cluster Tendency of GLCM"), included from CID 7467
ClusterShadeOfGLCM | (7NFM,IBSI,"Cluster Shade of GLCM"), included from CID 7467
ClusterProminenceOfGLCM | (AE86,IBSI,"Cluster Prominence of GLCM"), included from CID 7467
FirstMeasureOfInformationCorrelationOfGLCM | (R8DG,IBSI,"First Measure of Information Correlation of GLCM"), included from CID 7467
SecondMeasureOfInformationCorrelationOfGLCM | (JN9H,IBSI,"Second Measure of Information Correlation of GLCM"), included from CID 7467
ShortRunsEmphasis | (22OV,IBSI,"Short Runs Emphasis"), included from CID 7475
LongRunsEmphasis | (W4KF,IBSI,"Long Runs Emphasis"), included from CID 7475
LowGrayLevelRunEmphasis | (V3SW,IBSI,"Low Gray Level Run Emphasis"), included from CID 7475
HighGrayLevelRunEmphasis | (G3QZ,IBSI,"High Gray Level Run Emphasis"), included from CID 7475
ShortRunLowGrayLevelEmphasis | (HTZT,IBSI,"Short Run Low Gray Level Emphasis"), included from CID 7475
ShortRunHighGrayLevelEmphasis | (GD3A,IBSI,"Short Run High Gray Level Emphasis"), included from CID 7475
LongRunLowGrayLevelEmphasis | (IVPO,IBSI,"Long Run Low Gray Level Emphasis"), included from CID 7475
LongRunHighGrayLevelEmphasis | (3KUM,IBSI,"Long Run High Gray Level Emphasis"), included from CID 7475
GrayLevelNonuniformityInRuns | (R5YN,IBSI,"Gray Level Nonuniformity in Runs"), included from CID 7475
NormalizedGrayLevelNonuniformityInRuns | (OVBL,IBSI,"Normalized Gray Level Nonuniformity in Runs"), included from CID 7475
RunLengthNonuniformity | (W92Y,IBSI,"Run Length Nonuniformity"), included from CID 7475
NormalizedRunLengthNonuniformity | (IC23,IBSI,"Normalized Run Length Nonuniformity"), included from CID 7475
RunPercentage | (9ZK5,IBSI,"Run Percentage"), included from CID 7475
GrayLevelVarianceInRuns | (8CE5,IBSI,"Gray Level Variance in Runs"), included from CID 7475
RunLengthVariance | (SXLW,IBSI,"Run Length Variance"), included from CID 7475
RunEntropy | (HJ9O,IBSI,"Run Entropy"), included from CID 7475
SmallZoneEmphasis | (5QRC,IBSI,"Small Zone Emphasis"), included from CID 7476
LargeZoneEmphasis | (48P8,IBSI,"Large Zone Emphasis"), included from CID 7476
LowGrayLevelZoneEmphasis | (XMSY,IBSI,"Low Gray Level Zone Emphasis"), included from CID 7476
HighGrayLevelZoneEmphasis | (5GN9,IBSI,"High Gray Level Zone Emphasis"), included from CID 7476
SmallZoneLowGrayLevelEmphasis | (5RAI,IBSI,"Small Zone Low Gray Level Emphasis"), included from CID 7476
SmallZoneHighGrayLevelEmphasis | (HW1V,IBSI,"Small Zone High Gray Level Emphasis"), included from CID 7476
LargeZoneLowGrayLevelEmphasis | (YH51,IBSI,"Large Zone Low Gray Level Emphasis"), included from CID 7476
LargeZoneHighGrayLevelEmphasis | (J17V,IBSI,"Large Zone High Gray Level Emphasis"), included from CID 7476
GrayLevelNonuniformityOfSizeZoneCounts | (JNSA,IBSI,"Gray Level Nonuniformity of Size Zone Counts"), included from CID 7476
NormalizedGrayLevelNonuniformityOfSizeZoneCounts | (Y1RO,IBSI,"Normalized Gray Level Nonuniformity of Size Zone Counts"), included from CID 7476
ZoneSizeNonuniformity | (4JP3,IBSI,"Zone Size Nonuniformity"), included from CID 7476
NormalizedZoneSizeNonuniformity | (VB3A,IBSI,"Normalized Zone Size Nonuniformity"), included from CID 7476
SizeZonePercentage | (P30P,IBSI,"Size Zone Percentage"), included from CID 7476
GrayLevelVarianceInSizeZones | (BYLV,IBSI,"Gray Level Variance in Size Zones"), included from CID 7476
ZoneSizeVariance | (3NSA,IBSI,"Zone Size Variance"), included from CID 7476
ZoneSizeEntropy | (GU8N,IBSI,"Zone Size Entropy"), included from CID 7476
SmallDistanceEmphasis | (0GBI,IBSI,"Small Distance Emphasis"), included from CID 7479
LargeDistanceEmphasis | (MB4I,IBSI,"Large Distance Emphasis"), included from CID 7479
LowGreyLevelZoneEmphasis | (S1RA,IBSI,"Low Grey Level Zone Emphasis"), included from CID 7479
HighGreyLevelZoneEmphasis | (K26C,IBSI,"High Grey Level Zone Emphasis"), included from CID 7479
SmallDistanceLowGreyLevelEmphasis | (RUVG,IBSI,"Small Distance Low Grey Level Emphasis"), included from CID 7479
SmallDistanceHighGreyLevelEmphasis | (DKNJ,IBSI,"Small Distance High Grey Level Emphasis"), included from CID 7479
LargeDistanceLowGreyLevelEmphasis | (A7WM,IBSI,"Large Distance Low Grey Level Emphasis"), included from CID 7479
LargeDistanceHighGreyLevelEmphasis | (KLTH,IBSI,"Large Distance High Grey Level Emphasis"), included from CID 7479
GreyLevelNonUniformityOfDistanceZoneCounts | (VFT7,IBSI,"Grey Level Non-uniformity of Distance Zone Counts"), included from CID 7479
NormalizedGreyLevelNonUniformityOfDistanceZoneCounts | (7HP3,IBSI,"Normalized Grey Level Non-uniformity of Distance Zone Counts"), included from CID 7479
ZoneDistanceNonUniformity | (V294,IBSI,"Zone Distance Non-uniformity"), included from CID 7479
NormalizedZoneDistanceNonUniformity | (IATH,IBSI,"Normalized Zone Distance Non-uniformity"), included from CID 7479
DistanceZonePercentage | (VIWW,IBSI,"Distance Zone Percentage"), included from CID 7479
GreyLevelVarianceInDistanceZones | (QK93,IBSI,"Grey Level Variance in Distance Zones"), included from CID 7479
ZoneDistanceVariance | (7WT1,IBSI,"Zone Distance Variance"), included from CID 7479
ZoneDistanceEntropy | (GBDU,IBSI,"Zone Distance Entropy"), included from CID 7479
CoarsenessOfNGTDM | (QCDE,IBSI,"Coarseness of NGTDM"), included from CID 7500
ContrastOfNGTDM | (65HE,IBSI,"Contrast of NGTDM"), included from CID 7500
BusynessOfNGTDM | (NQ30,IBSI,"Busyness of NGTDM"), included from CID 7500
ComplexityOfNGTDM | (HDEZ,IBSI,"Complexity of NGTDM"), included from CID 7500
StrengthOfNGTDM | (1X9X,IBSI,"Strength of NGTDM"), included from CID 7500
LowDependenceEmphasis | (SODN,IBSI,"Low dependence emphasis"), included from CID 7501
HighDependenceEmphasis | (IMOQ,IBSI,"High dependence emphasis"), included from CID 7501
LowGreyLevelCountEmphasis | (TL9H,IBSI,"Low grey level count emphasis"), included from CID 7501
HighGreyLevelCountEmphasis | (OAE7,IBSI,"High grey level count emphasis"), included from CID 7501
LowDependenceLowGreyLevelEmphasis | (EQ3F,IBSI,"Low dependence low grey level emphasis"), included from CID 7501
LowDependenceHighGreyLevelEmphasis | (JA6D,IBSI,"Low dependence high grey level emphasis"), included from CID 7501
HighDependenceLowGreyLevelEmphasis | (NBZI,IBSI,"High dependence low grey level emphasis"), included from CID 7501
HighDependenceHighGreyLevelEmphasis | (9QMG,IBSI,"High dependence high grey level emphasis"), included from CID 7501
GreyLevelNonUniformityOfNGLDM | (FP8K,IBSI,"Grey level non-uniformity of NGLDM"), included from CID 7501
NormalizedGreyLevelNonUniformityOfNGLDM | (5SPA,IBSI,"Normalized grey level non-uniformity of NGLDM"), included from CID 7501
DependenceCountNonUniformity | (Z87G,IBSI,"Dependence count non-uniformity"), included from CID 7501
DependenceCountNonUniformityNormalized | (OKJI,IBSI,"Dependence count non-uniformity normalized"), included from CID 7501
DependenceCountPercentage | (6XV8,IBSI,"Dependence count percentage"), included from CID 7501
GreyLevelVarianceOfNGLDM | (1PFV,IBSI,"Grey level variance of NGLDM"), included from CID 7501
DependenceCountVariance | (DNX2,IBSI,"Dependence count variance"), included from CID 7501
DependenceCountEntropy | (FCBV,IBSI,"Dependence count entropy"), included from CID 7501
DependenceCountEnergy | (CAS9,IBSI,"Dependence count energy"), included from CID 7501
FractalDimension | (126050,DCM,"Fractal Dimension"), included from CID 7468
NAcetylaspartate | (115391007,SCT,"N-acetylaspartate"), included from CID 4033
Citrate | (59351004,SCT,"Citrate"), included from CID 4033
Choline | (65123005,SCT,"Choline"), included from CID 4033
Creatine | (14804005,SCT,"Creatine"), included from CID 4033
CreatineAndCholine | (113094,DCM,"Creatine and Choline"), included from CID 4033
Lactate | (83036002,SCT,"Lactate"), included from CID 4033
Lipid | (70106000,SCT,"Lipid"), included from CID 4033
LipidAndLactate | (113095,DCM,"Lipid and Lactate"), included from CID 4033
GlutamateAndGlutamine | (113080,DCM,"Glutamate and glutamine"), included from CID 4033
Glutamine | (25761002,SCT,"Glutamine"), included from CID 4033
Tuarine | (10944007,SCT,"Tuarine"), included from CID 4033
Inositol | (72164009,SCT,"Inositol"), included from CID 4033
CholinePerCreatineRatio | (113081,DCM,"Choline/Creatine Ratio"), included from CID 4033
NAcetylaspartatePerCreatineRatio | (113082,DCM,"N-acetylaspartate/Creatine Ratio"), included from CID 4033
NAcetylaspartatePerCholineRatio | (113083,DCM,"N-acetylaspartate/Choline Ratio"), included from CID 4033
CreatinePlusCholinePerCitrateRatio | (113096,DCM,"Creatine+Choline/Citrate Ratio"), included from CID 4033
T1 | (113063,DCM,"T1"), included from CID 7180
T2 | (113065,DCM,"T2"), included from CID 7180
T2Star | (113064,DCM,"T2*"), included from CID 7180
ProtonDensity | (113058,DCM,"Proton Density"), included from CID 7180
SpinTaggingPerfusionMRSignalIntensity | (110800,DCM,"Spin Tagging Perfusion MR Signal Intensity"), included from CID 7180
VelocityEncoded | (113070,DCM,"Velocity encoded"), included from CID 7180
TemperatureEncoded | (113067,DCM,"Temperature encoded"), included from CID 7180
ContrastAgentAngioMRSignalIntensity | (110801,DCM,"Contrast Agent Angio MR Signal Intensity"), included from CID 7180
TimeOfFlightAngioMRSignalIntensity | (110802,DCM,"Time Of Flight Angio MR Signal Intensity"), included from CID 7180
ProtonDensityWeightedMRSignalIntensity | (110803,DCM,"Proton Density Weighted MR Signal Intensity"), included from CID 7180
T1WeightedMRSignalIntensity | (110804,DCM,"T1 Weighted MR Signal Intensity"), included from CID 7180
T2WeightedMRSignalIntensity | (110805,DCM,"T2 Weighted MR Signal Intensity"), included from CID 7180
T2StarWeightedMRSignalIntensity | (110806,DCM,"T2* Weighted MR Signal Intensity"), included from CID 7180
DiffusionWeighted | (113043,DCM,"Diffusion weighted"), included from CID 7270
VolumetricDiffusionDxxComponent | (110810,DCM,"Volumetric Diffusion Dxx Component"), included from CID 7270
VolumetricDiffusionDxyComponent | (110811,DCM,"Volumetric Diffusion Dxy Component"), included from CID 7270
VolumetricDiffusionDxzComponent | (110812,DCM,"Volumetric Diffusion Dxz Component"), included from CID 7270
VolumetricDiffusionDyyComponent | (110813,DCM,"Volumetric Diffusion Dyy Component"), included from CID 7270
VolumetricDiffusionDyzComponent | (110814,DCM,"Volumetric Diffusion Dyz Component"), included from CID 7270
VolumetricDiffusionDzzComponent | (110815,DCM,"Volumetric Diffusion Dzz Component"), included from CID 7270
FractionalAnisotropy | (110808,DCM,"Fractional Anisotropy"), included from CID 7271
RelativeAnisotropy | (110809,DCM,"Relative Anisotropy"), included from CID 7271
VolumeRatio | (113288,DCM,"Volume Ratio"), included from CID 7271
ApparentDiffusionCoefficient | (113041,DCM,"Apparent Diffusion Coefficient"), included from CID 7272
DiffusionCoefficient | (113289,DCM,"Diffusion Coefficient"), included from CID 7272
MonoExponentialApparentDiffusionCoefficient | (113290,DCM,"Mono-exponential Apparent Diffusion Coefficient"), included from CID 7272
SlowDiffusionCoefficient | (113291,DCM,"Slow Diffusion Coefficient"), included from CID 7272
FastDiffusionCoefficient | (113292,DCM,"Fast Diffusion Coefficient"), included from CID 7272
FastDiffusionCoefficientFraction | (113293,DCM,"Fast Diffusion Coefficient Fraction"), included from CID 7272
KurtosisDiffusionCoefficient | (113294,DCM,"Kurtosis Diffusion Coefficient"), included from CID 7272
GammaDistributionScaleParameter | (113295,DCM,"Gamma Distribution Scale Parameter"), included from CID 7272
GammaDistributionShapeParameter | (113296,DCM,"Gamma Distribution Shape Parameter"), included from CID 7272
GammaDistributionMode | (113297,DCM,"Gamma Distribution Mode"), included from CID 7272
DistributedDiffusionCoefficient | (113298,DCM,"Distributed Diffusion Coefficient"), included from CID 7272
AnomalousExponentParameter | (113299,DCM,"Anomalous Exponent Parameter"), included from CID 7272
FieldMapMRSignalIntensity | (110807,DCM,"Field Map MR Signal Intensity"), included from CID 7180
T1WeightedDynamicContrastEnhancedMRSignalIntensity | (110816,DCM,"T1 Weighted Dynamic Contrast Enhanced MR Signal Intensity"), included from CID 7180
T2WeightedDynamicContrastEnhancedMRSignalIntensity | (110817,DCM,"T2 Weighted Dynamic Contrast Enhanced MR Signal Intensity"), included from CID 7180
T2StarWeightedDynamicContrastEnhancedMRSignalIntensity | (110818,DCM,"T2* Weighted Dynamic Contrast Enhanced MR Signal Intensity"), included from CID 7180
BloodOxygenationLevel | (110819,DCM,"Blood Oxygenation Level"), included from CID 7180
NuclearMedicineProjectionActivity | (110820,DCM,"Nuclear Medicine Projection Activity"), included from CID 7180
NuclearMedicineTomographicActivity | (110821,DCM,"Nuclear Medicine Tomographic Activity"), included from CID 7180
SpatialDisplacementXComponent | (110822,DCM,"Spatial Displacement X Component"), included from CID 7180
SpatialDisplacementYComponent | (110823,DCM,"Spatial Displacement Y Component"), included from CID 7180
SpatialDisplacementZComponent | (110824,DCM,"Spatial Displacement Z Component"), included from CID 7180
HemodynamicResistance | (110825,DCM,"Hemodynamic Resistance"), included from CID 7180
IndexedHemodynamicResistance | (110826,DCM,"Indexed Hemodynamic Resistance"), included from CID 7180
AttenuationCoefficient | (112031,DCM,"Attenuation Coefficient"), included from CID 7180
TissueVelocity | (110827,DCM,"Tissue Velocity"), included from CID 7180
FlowVelocity | (110828,DCM,"Flow Velocity"), included from CID 7180
PowerDoppler | (425704008,SCT,"Power Doppler"), included from CID 7180
FlowVariance | (110829,DCM,"Flow Variance"), included from CID 7180
Elasticity | (110830,DCM,"Elasticity"), included from CID 7180
Perfusion | (110831,DCM,"Perfusion"), included from CID 7180
SpeedOfSound | (110832,DCM,"Speed of sound"), included from CID 7180
UltrasoundAttenuation | (110833,DCM,"Ultrasound Attenuation"), included from CID 7180
StudentsTTest | (113068,DCM,"Student's T-test"), included from CID 7180
ZScore | (113071,DCM,"Z-score"), included from CID 7180
RCoefficient | (113057,DCM,"R-Coefficient"), included from CID 7180
R2Coefficient | (126220,DCM,"R2-Coefficient"), included from CID 7180
ChiSquare | (126221,DCM,"Chi-square"), included from CID 7180
DW | (126222,DCM,"D-W"), included from CID 7180
AIC | (126223,DCM,"AIC"), included from CID 7180
BIC | (126224,DCM,"BIC"), included from CID 7180
RGBRComponent | (110834,DCM,"RGB R Component"), included from CID 7180
RGBGComponent | (110835,DCM,"RGB G Component"), included from CID 7180
RGBBComponent | (110836,DCM,"RGB B Component"), included from CID 7180
YBR_FULLYComponent | (110837,DCM,"YBR FULL Y Component"), included from CID 7180
YBR_FULL_CBComponent | (110838,DCM,"YBR FULL CB Component"), included from CID 7180
YBR_FULL_CRComponent | (110839,DCM,"YBR FULL CR Component"), included from CID 7180
YBR_PARTIALYComponent | (110840,DCM,"YBR PARTIAL Y Component"), included from CID 7180
YBR_PARTIAL_CBComponent | (110841,DCM,"YBR PARTIAL CB Component"), included from CID 7180
YBR_PARTIAL_CRComponent | (110842,DCM,"YBR PARTIAL CR Component"), included from CID 7180
YBR_ICTYComponent | (110843,DCM,"YBR ICT Y Component"), included from CID 7180
YBR_ICT_CBComponent | (110844,DCM,"YBR ICT CB Component"), included from CID 7180
YBR_ICT_CRComponent | (110845,DCM,"YBR ICT CR Component"), included from CID 7180
YBR_RCTYComponent | (110846,DCM,"YBR RCT Y Component"), included from CID 7180
YBR_RCT_CBComponent | (110847,DCM,"YBR RCT CB Component"), included from CID 7180
YBR_RCT_CRComponent | (110848,DCM,"YBR RCT CR Component"), included from CID 7180
Echogenicity | (110849,DCM,"Echogenicity"), included from CID 7180
XRayAttenuation | (110850,DCM,"X-Ray Attenuation"), included from CID 7180
MRSignalIntensity | (110852,DCM,"MR signal intensity"), included from CID 7180
BinarySegmentation | (110853,DCM,"Binary Segmentation"), included from CID 7180
FractionalProbabilisticSegmentation | (110854,DCM,"Fractional Probabilistic Segmentation"), included from CID 7180
FractionalOccupancySegmentation | (110855,DCM,"Fractional Occupancy Segmentation"), included from CID 7180
R1 | (126393,DCM,"R1"), included from CID 7180
R2 | (126394,DCM,"R2"), included from CID 7180
R2Star | (126395,DCM,"R2*"), included from CID 7180
MagnetizationTransferRatio | (113098,DCM,"Magnetization Transfer Ratio"), included from CID 7180
MagneticSusceptibility | (126396,DCM,"Magnetic Susceptibility"), included from CID 7180
Ktrans | (126312,DCM,"Ktrans"), included from CID 4107
Kep | (126313,DCM,"kep"), included from CID 4107
Ve | (126314,DCM,"ve"), included from CID 4107
Tau_m | (126330,DCM,"tau_m"), included from CID 4107
Vp | (126331,DCM,"vp"), included from CID 4107
AbsoluteRegionalBloodFlow | (126390,DCM,"Absolute Regional Blood Flow"), included from CID 4108
AbsoluteRegionalBloodVolume | (126391,DCM,"Absolute Regional Blood Volume"), included from CID 4108
RelativeRegionalBloodFlow | (126397,DCM,"Relative Regional Blood Flow"), included from CID 4108
RelativeRegionalBloodVolume | (126398,DCM,"Relative Regional Blood Volume"), included from CID 4108
MeanTransitTime | (113052,DCM,"Mean Transit Time"), included from CID 4108
TimeToPeak | (113069,DCM,"Time To Peak"), included from CID 4108
OxygenExtractionFraction | (126392,DCM,"Oxygen Extraction Fraction"), included from CID 4108
Tmax | (113084,DCM,"Tmax"), included from CID 4108
IAUC | (126320,DCM,"IAUC"), included from CID 4109
IAUC60 | (126321,DCM,"IAUC60"), included from CID 4109
IAUC90 | (126322,DCM,"IAUC90"), included from CID 4109
IAUC180 | (126323,DCM,"IAUC180"), included from CID 4109
IAUCBN | (126324,DCM,"IAUCBN"), included from CID 4109
IAUC60BN | (126325,DCM,"IAUC60BN"), included from CID 4109
IAUC90BN | (126326,DCM,"IAUC90BN"), included from CID 4109
IAUC180BN | (126327,DCM,"IAUC180BN"), included from CID 4109
TimeOfPeakConcentration | (126370,DCM,"Time of Peak Concentration"), included from CID 4109
TimeOfLeadingHalfPeakConcentration | (126372,DCM,"Time of Leading Half-Peak Concentration"), included from CID 4109
BolusArrivalTime | (126371,DCM,"Bolus Arrival Time"), included from CID 4109
TemporalDerivativeThreshold | (126374,DCM,"Temporal Derivative Threshold"), included from CID 4109
MaximumSlope | (126375,DCM,"Maximum Slope"), included from CID 4109
MaximumDifference | (126376,DCM,"Maximum Difference"), included from CID 4109
TracerConcentration | (126377,DCM,"Tracer Concentration"), included from CID 4109
StandardizedUptakeValue | (126400,DCM,"Standardized Uptake Value"), included from CID 7180
SUVbw | (126401,DCM,"SUVbw"), included from CID 7180
SUVlbm | (126402,DCM,"SUVlbm"), included from CID 7180
SUVlbmJames128 | (126406,DCM,"SUVlbm(James128)"), included from CID 7180
SUVlbmJanma | (126405,DCM,"SUVlbm(Janma)"), included from CID 7180
SUVbsa | (126403,DCM,"SUVbsa"), included from CID 7180
SUVibw | (126404,DCM,"SUVibw"), included from CID 7180
AbsorbedDose | (128513,DCM,"Absorbed Dose"), included from CID 10070
EquivalentDose | (128512,DCM,"Equivalent Dose"), included from CID 10070
Fat | (256674009,SCT,"Fat"), included from CID 7180
FatFraction | (129100,DCM,"Fat fraction"), included from CID 7180
WaterPerFatInPhase | (129101,DCM,"Water/fat in phase"), included from CID 7180
WaterPerFatOutOfPhase | (129102,DCM,"Water/fat out of phase"), included from CID 7180
NegativeEnhancementIntegral | (113054,DCM,"Negative enhancement integral"), included from CID 7180
SignalChange | (113059,DCM,"Signal change"), included from CID 7180
SignalToNoise | (113060,DCM,"Signal to noise"), included from CID 7180
TimeCourseOfSignal | (113066,DCM,"Time course of signal"), included from CID 7180
Water | (11713004,SCT,"Water"), included from CID 7180
WaterFraction | (129103,DCM,"Water fraction"), included from CID 7180
RelativeLinearStoppingPower | (130086,DCM,"Relative Linear Stopping Power"), included from CID 7180
ClassActivation | (130402,DCM,"Class activation"), included from CID 217
GradientWeightedClassActivation | (130403,DCM,"Gradient-weighted class activation"), included from CID 217
Saliency | (130404,DCM,"Saliency"), included from CID 217
Length | (410668003,SCT,"Length"), included from CID 7470
PathLength | (121211,DCM,"Path length"), included from CID 7470
Distance | (121206,DCM,"Distance"), included from CID 7470
Width | (103355008,SCT,"Width"), included from CID 7470
Depth | (131197000,SCT,"Depth"), included from CID 7470
Diameter | (81827009,SCT,"Diameter"), included from CID 7470
LongAxis | (103339001,SCT,"Long Axis"), included from CID 7470
ShortAxis | (103340004,SCT,"Short Axis"), included from CID 7470
MajorAxis | (131187009,SCT,"Major Axis"), included from CID 7470
MinorAxis | (131188004,SCT,"Minor Axis"), included from CID 7470
PerpendicularAxis | (131189007,SCT,"Perpendicular Axis"), included from CID 7470
Radius | (131190003,SCT,"Radius"), included from CID 7470
Perimeter | (131191004,SCT,"Perimeter"), included from CID 7470
Circumference | (74551000,SCT,"Circumference"), included from CID 7470
DiameterOfCircumscribedCircle | (131192006,SCT,"Diameter of circumscribed circle"), included from CID 7470
Height | (121207,DCM,"Height"), included from CID 7470
LineSegmentLength | (121227,DCM,"Line segment length"), included from CID 7470
Maximum3DDiameterOfAMesh | (L0JK,IBSI,"Maximum 3D Diameter of a Mesh"), included from CID 7470
MajorAxisIn3DLength | (TDIC,IBSI,"Major Axis in 3D Length"), included from CID 7470
MinorAxisIn3DLength | (P9VJ,IBSI,"Minor Axis in 3D Length"), included from CID 7470
LeastAxisIn3DLength | (7J51,IBSI,"Least Axis in 3D Length"), included from CID 7470
Area | (42798000,SCT,"Area"), included from CID 7471
AreaOfDefinedRegion | (131184002,SCT,"Area of defined region"), included from CID 7471
SurfaceAreaOfMesh | (C0JK,IBSI,"Surface Area of Mesh"), included from CID 7471
Volume | (118565006,SCT,"Volume"), included from CID 7472
VolumeEstimatedFromSingle2DRegion | (121216,DCM,"Volume estimated from single 2D region"), included from CID 7472
VolumeEstimatedFromTwoNonCoplanar2DRegions | (121218,DCM,"Volume estimated from two non-coplanar 2D regions"), included from CID 7472
VolumeEstimatedFromThreeOrMoreNonCoplanar2DRegions | (121217,DCM,"Volume estimated from three or more non-coplanar 2D regions"), included from CID 7472
VolumeOfSphere | (121222,DCM,"Volume of sphere"), included from CID 7472
VolumeOfEllipsoid | (121221,DCM,"Volume of ellipsoid"), included from CID 7472
VolumeOfCircumscribedSphere | (121220,DCM,"Volume of circumscribed sphere"), included from CID 7472
VolumeOfBoundingThreeDimensionalRegion | (121219,DCM,"Volume of bounding three dimensional region"), included from CID 7472
VolumeOfMesh | (RNU0,IBSI,"Volume of Mesh"), included from CID 7472
VolumeFromVoxelSummation | (YEKZ,IBSI,"Volume from Voxel Summation"), included from CID 7472
NumberOfPixels | (130922,DCM,"Number of pixels"), included from CID 7469
NumberOfVoxels | (130923,DCM,"Number of voxels"), included from CID 7469
SurfaceToVolumeRatio | (2PR5,IBSI,"Surface to Volume Ratio"), included from CID 7477
Compactness1 | (SKGS,IBSI,"Compactness 1"), included from CID 7477
Compactness2 | (BQWJ,IBSI,"Compactness 2"), included from CID 7477
SphericalDisproportion | (KRCK,IBSI,"Spherical Disproportion"), included from CID 7477
Sphericity | (QCFX,IBSI,"Sphericity"), included from CID 7477
Asphericity | (25C7,IBSI,"Asphericity"), included from CID 7477
CentreOfMassShift | (KLMA,IBSI,"Centre of Mass Shift"), included from CID 7477
Elongation | (Q3CK,IBSI,"Elongation"), included from CID 7477
Flatness | (N17B,IBSI,"Flatness"), included from CID 7477
VolumeDensityInFrameOfReferenceAxisAlignedBoundingBox | (PBX1,IBSI,"Volume Density in Frame of Reference Axis Aligned Bounding Box"), included from CID 7477
AreaDensityInFrameOfReferenceAxisAlignedBoundingBox | (R59B,IBSI,"Area Density in Frame of Reference Axis Aligned Bounding Box"), included from CID 7477
VolumeDensityInOrientedMinimumBoundingBox | (ZH1A,IBSI,"Volume Density in Oriented Minimum Bounding Box"), included from CID 7477
AreaDensityInOrientedMinimumBoundingBox | (IQYR,IBSI,"Area Density in Oriented Minimum Bounding Box"), included from CID 7477
VolumeDensityInApproximateEnclosingEllipsoid | (6BDE,IBSI,"Volume Density in Approximate Enclosing Ellipsoid"), included from CID 7477
AreaDensityInApproximateEnclosingEllipsoid | (RDD2,IBSI,"Area Density in Approximate Enclosing Ellipsoid"), included from CID 7477
VolumeDensityInMinimumVolumeEnclosingEllipsoid | (SWZ1,IBSI,"Volume Density in Minimum Volume Enclosing Ellipsoid"), included from CID 7477
AreaDensityInMinimumVolumeEnclosingEllipsoid | (BRI8,IBSI,"Area Density in Minimum Volume Enclosing Ellipsoid"), included from CID 7477
VolumeDensityInConvexHull | (R3ER,IBSI,"Volume Density in Convex Hull"), included from CID 7477
AreaDensityInConvexHull | (7T7F,IBSI,"Area Density in Convex Hull"), included from CID 7477
IntegratedIntensity | (99N0,IBSI,"Integrated Intensity"), included from CID 7477
MoransIIndex | (N365,IBSI,"Moran's I Index"), included from CID 7477
GearysCMeasure | (NPT7,IBSI,"Geary's C Measure"), included from CID 7477
CobbAngle | (285285000,SCT,"Cobb angle"), included from CID 7550
AcetabularAngle | (121224,DCM,"Acetabular angle"), included from CID 7550

## Constructor & Destructor Documentation

## ◆ CID218_QuantitativeImageFeature() [1/2]

CID218_QuantitativeImageFeature::CID218_QuantitativeImageFeature | ( | const DSRCodedEntryValue & | selectedValue = DSRCodedEntryValue() | ) |

(default) constructor

Parameters

  selectedValue | coded entry to be selected as the current value (optional). Should be a valid code according to the DICOM definitions for this context group, i.e. no checks are performed. Call DSRContextGroup::checkSelectedValue() if needed.

## ◆ CID218_QuantitativeImageFeature() [2/2]

CID218_QuantitativeImageFeature::CID218_QuantitativeImageFeature | ( | const EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = OFFalse )

constructor

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

## Member Function Documentation

## ◆ cleanup()

void CID218_QuantitativeImageFeature::cleanup | ( |  | ) |
| static

cleanup this context group, i.e. delete the internal list of standard coded entries.

Usually, there is no need to call this method, but it might be useful in order to explicitly free the associated memory, e.g. when checking for memory leaks. The list will be recreated automatically when needed (or when initialize() is called).

## ◆ findCodedEntry() [1/2]

virtual OFCondition DSRContextGroup::findCodedEntry | ( | const DSRCodedEntryValue & | codedEntryValue | ) | const
| virtual

search for a given coded entry in this context group.

If found, the type of the entry (standard or extension) is returned:

- SR_EC_CodedEntryInStandardContextGroup
- SR_EC_CodedEntryIsExtensionOfContextGroup

Parameters

  codedEntryValue | coded entry to be searched for

Returns
  result of the search process, SR_EC_CodedEntryNotInContextGroup if coded entry could not be found. Use OFCondition::good() or OFCondition::bad() if not interested in the type of the entry.

Reimplemented from DSRContextGroup.

## ◆ findCodedEntry() [2/2]

virtual OFCondition CID218_QuantitativeImageFeature::findCodedEntry | ( | const DSRCodedEntryValue & | searchForCodedEntry,
|  | DSRCodedEntryValue * | foundCodedEntry,
|  | const OFBool | enhancedEncodingMode = OFFalse ) const
| protectedvirtual

search for a given coded entry in this context group

Parameters

  searchForCodedEntry | coded entry to be searched for
  foundCodedEntry | pointer to variable that will store the coded entry (if found and pointer is not NULL)
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  result of the search process, also defines the type of the entry

Reimplemented from DSRContextGroup.

## ◆ getCodedEntry()

DSRCodedEntryValue CID218_QuantitativeImageFeature::getCodedEntry | ( | const EnumType | value,
|  | const OFBool | enhancedEncodingMode = OFFalse )
| static

map a given type to the associated coded entry

Parameters

  value | type that should be mapped to a coded entry
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  coded entry that is associated with the given type

References DSRContextGroup::findCodedEntry(), and DSRContextGroup::selectValue().

## ◆ getCodes()

CodeList & CID218_QuantitativeImageFeature::getCodes | ( |  | ) |
| staticprotected

get list of standard coded entries that are managed by this context group.

Internally, the singleton pattern is used, so the list is initialized only once. Please note that this function is not thread-safe. Therefore, the initialize() function can be called before any instance of this class is actually used.

Returns
  reference to list of coded entries managed by this context group

## ◆ initialize()

void CID218_QuantitativeImageFeature::initialize | ( |  | ) |
| static

initialize this context group explicitly.

Internally, the list of standard coded entries is created and initialized by calling getCodes().

Note
  This function can be called multiple times but in case of multi-threaded applications should be called at least once before any instance of this class is actually used. For single-threaded applications, there is no need to call it since the initialization is done implicitly.

## ◆ printCodes()

virtual void CID218_QuantitativeImageFeature::printCodes | ( | STD_NAMESPACE ostream & | stream | ) | const
| protectedvirtual

print details on coded entries that are contained in this context group.

See DSRCodedEntryValue::print() for details of the coded entry output.

Parameters

  stream | stream to which the output should be printed

Reimplemented from DSRContextGroup.

## ◆ selectValue() [1/2]

virtual OFCondition DSRContextGroup::selectValue | ( | const DSRCodedEntryValue & | codedEntryValue,
|  | const OFBool | check = OFTrue,
|  | const OFBool | definedContextGroup = OFFalse )
| virtual

select a given coded entry as the current value

Parameters

  codedEntryValue | coded entry to be selected as the current value
  check | if enabled, check 'codedEntryValue' for validity and appropriateness before selecting it as the current value. See checkSelectedValue() for details.
  definedContextGroup | flag indicating whether this context group is used as a baseline (default) or defined context group. The first means that the list of coded entries in this context group is just a suggestion. The latter means that one of the coded entries should be used.

Returns
  status, EC_Normal if successful, an error code otherwise

Reimplemented from DSRContextGroup.

Reimplemented in CID218e_QuantitativeImageFeature.

## ◆ selectValue() [2/2]

virtual OFCondition CID218_QuantitativeImageFeature::selectValue | ( | const EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = OFFalse )
| virtual

select a coded entry given by its type as the current value

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

Reimplemented in CID218e_QuantitativeImageFeature.

Referenced by CID218e_QuantitativeImageFeature::selectValue().

## ◆ setEnhancedEncodingMode()

OFCondition CID218_QuantitativeImageFeature::setEnhancedEncodingMode | ( | DSRCodedEntryValue & | codedEntryValue | ) |
| staticprotected

set the "Enhanced Encoding Mode" for a given coded entry

Parameters

  codedEntryValue | coded entry for which the enhanced encoding mode is set

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/cmr/cid218.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1